Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.cisco.ipphone.sdk.push2phone
Class PushMessage

    java.lang.Object
      com.cisco.ipphone.sdk.push2phone.PushMessage

    public class PushMessage

extends java.lang.Object

Simple class used to create and cache the current PushMessage for the Push2Phone application. This class uses a static attribute to store the current message so that it is CLASS-scoped and accessible from all threads and, therefore, can be retrieved by all Phones making a web request to Push2Phone to retrieve the message. Since the class is static and will be accessed by multiple threads simultaneously, the methods are synchronized to ensure thread-safety.

Constructor Summary
`PushMessage()`

Method Summary
`static java.lang.String` | `getMessageXML()` Retrieves the current Push2Phone message
`static void` | `setMessageText(java.lang.String text)` This method accepts a text message, creates a graphic alert message from that String, and caches the CiscoIPPhoneImage for subsequent retrieval by IP Phones.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PushMessage

    public PushMessage()

Method Detail

### setMessageText

    public static void setMessageText(java.lang.String text)

  This method accepts a text message, creates a graphic alert message from that String, and caches the CiscoIPPhoneImage for subsequent retrieval by IP Phones.

  Parameters:
    `text` - the text message to be sent

### getMessageXML

    public static java.lang.String getMessageXML()

  Retrieves the current Push2Phone message

  Returns:
    a String containing an XML CiscoIPPhoneImage object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD